require 'kramdown'

class Video < Sequel::Model

  many_to_one :channel

  def ensureDirectoryStructure()
    sub_dirs = ['Audio', 'B-Roll', 'Clips', 'Images', 'Export']
    sub_dirs.each do |d|
      sub_path = File.join(
        @values[:directory_path],
        d
      )
      unless Dir.exist?(sub_path)
        Dir.mkdir(sub_path)
      end
    end
  end

  def parseScript()
    return Kramdown::Document.new(@values[:script]).to_html
  end

end
